Subject: Re: muram in device tree for mpc8250 in arch/powerpc

From: Scott Wood <[email-masked]>
Date: Mon, 24 Mar 2008 16:53:48 -0500

James Black wrote:
> I started from scratch and am trying to build the cuImage. I get this
> compiler error.
> 
> arch/powerpc/boot/cuboot-pq2.c:14:20: error: bitops.h: No such file or directory
> arch/powerpc/boot/cuboot-pq2.c: In function 'fixup_pci':
> arch/powerpc/boot/cuboot-pq2.c:205: warning: implicit declaration of
> function '__ilog2_u32'
> 
> I looks as though cuboot-pq2.c expects bitops.h to be in the same
> directory, but it has moved to
> linux/include/asm-powerpc/bitops.h

I don't see any reference to bitops.h in cuboot-pq2.c...
Line 14 includes "ops.h".

-Scott